> ## Documentation Index
> Fetch the complete documentation index at: https://docs.puretalk.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Available Phone Numbers

> Returns available phone numbers that can be purchased



## OpenAPI

````yaml openapi-phone-numbers GET /phone-numbers/available-phone-numbers
openapi: 3.0.1
info:
  title: Puretalk AI
  description: Api Documentation for Puretalk AI
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.puretalk.ai/api
security:
  - ApiKeyAuth: []
paths:
  /phone-numbers/available-phone-numbers:
    get:
      description: Returns available phone numbers that can be purchased
      parameters:
        - name: area_code
          in: query
          description: Filter by United States area code
          schema:
            type: string
        - name: search
          in: query
          description: Search by phone number (supports partial matches)
          schema:
            type: string
        - name: region
          in: query
          description: Filter by United States region/state code
          schema:
            type: string
      responses:
        '200':
          description: Available phone numbers response
          content:
            application/json:
              schema:
                type: object
                properties:
                  msg:
                    type: string
                    description: A success message
                    example: Success
                  err:
                    type: boolean
                    description: Indicates if there was an error
                    example: false
                  results:
                    type: array
                    items:
                      type: object
                      properties:
                        friendly_name:
                          type: string
                          description: The friendly name of the phone number
                          example: (619) 514-3812
                        phone_number:
                          type: string
                          description: The phone number
                          example: '+1234567890'
                        postal_code:
                          type: string
                          description: The postal code of the phone number
                          example: '12345'
                        capabilities:
                          type: object
                          properties:
                            voice:
                              type: boolean
                              description: Indicates if the phone number supports voice
                              example: true
                            SMS:
                              type: boolean
                              description: Indicates if the phone number supports SMS
                              example: true
                            MMS:
                              type: boolean
                              description: Indicates if the phone number supports MMS
                              example: true
                        locality:
                          type: string
                          description: The locality of the phone number
                          example: New York
                        region:
                          type: string
                          description: The region of the phone number
                          example: NY
                        iso_country:
                          type: string
                          description: The ISO country code of the phone number
                          example: US
                        monthly_fee:
                          type: number
                          format: float
                          description: The monthly fee of the phone number
                          example: 2
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
components:
  schemas:
    Error:
      required:
        - err
        - msg
      type: object
      properties:
        err:
          type: boolean
          example: true
          description: Indicates if there was an error
        msg:
          type: string
          example: An error occurred.
          description: A message describing the error
    Forbidden:
      type: object
      properties:
        detail:
          type: string
          example: Authentication credentials were not provided.
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY
      description: >-
        Authorization header containing API key. You can find your API key in
        the dashboard under 'API Keys'.

````